About deprecations in this version of Puppet

This version of Puppet is not included in Puppet Enterprise. The latest version of PE includes Puppet 4.9.

Puppet 4.0 removed or changed a lot of old and crufty features that had a long period of deprecation in Puppet 3.x (or sometimes even earlier). While the 3.x deprecations focused mostly on the Puppet language and longstanding problems with built-in resource types, the 4.x deprecations focus on Puppet’s infrastructure.

Each deprecation page groups similar features together, and each feature explains what to do if you’re affected.

↑ Back to top